#ifndef _CREGCODE_H
#define _CREGCODE_H_
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define REG_CODE_KEY_SEEDS "NetWorkDLS Project Epsilon Cryptography"
#define REG_CODE_KEY_SEEDI 98754

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class CRegCode{
	public:
		int MakeHex(const unsigned char *sBuf, const int iBufSz, unsigned char *sOutCode, int iMaxSz);
		int MakeRegHeyHash(const unsigned char *sRawHey, int iRawKeySz, unsigned char *sOutHash);
		int GenCode(const unsigned char *sKey, const int iKeyLen, int *iKeySeed, const int iGenLen, unsigned char *sOutCode);
		int FormatRegCode(const unsigned char *sRegCode, int iRegCodeLen, const int iDashSep, unsigned char *sOutRegCode);
		bool GenRegCodes(const unsigned char *snKeySeed, int *iKeySeed, int iRegCodes, 
						  int iRegCodeLen, int iDashSpacing, const char *sOutputFileName);
		bool CheckRegCode(const unsigned char *snKeySeed, int *iInKeySeed, int iRegCodes, int iRegCodeLen, const unsigned char *sInCompareKey);
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
