///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef STRICT
#define STRICT
#endif

#define INC_OLE2        // WIN32, get ole2 from windows.h

#include <windows.h>
#include <windowsx.h>
#include <shlobj.h>

#define ResultFromShort(i)  ResultFromScode(MAKE_SCODE(SEVERITY_SUCCESS, 0, (USHORT)(i)))

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool IsDirectory(const char *sPath)
{
    int Attrib = GetFileAttributes(sPath);
    if(Attrib != 0xFFFFFFFF)
    {
        if(Attrib & FILE_ATTRIBUTE_DIRECTORY)
		{
            return true;
		}
    }
    return false;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

