#ifndef _CommonDialog_H
#define _CommonDialog_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

extern char gsExtractLocation[255 + 1];

typedef struct _DBGICONLIST{
    char *sExt;
    char *sDescr;
    int iIndex;
} DBGICONLIST, *LPDBGICONLIST;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void CustomCreateFolderStructure(char *sFullFileName);
void SetStatusFileName(HWND hWnd, char *StatusText);
bool GetLastDirectoryInPath(char *inFullPath, char *outLastDir);
long MakeChecksum(char *sRawKey);
long Reflect_Checksum(long lReflect, char cChar);
void AllocIconList(LPDBGICONLIST lpMyIconList, int ExtLen, int DescrLen);
void FreeIconList(LPDBGICONLIST lpMyIconList);
bool GetIconForExt(char *inExt, char *outIconFile, int iMaxSz, int *outIconIndex, char *outDescr);
bool WaitOnWindow(HWND hWnd);
void FixDirTarget(char *sPath, int iMaxSz);
void CorrectForwardPath(char *sPath);
void CorrectReversePath(char *sPath);
double fFormattedValue(const char *sFormatted);
int iFormattedValue(const char *sFormatted);
bool ValidateRegCode(unsigned char *sRegCode);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

